.button-category-wrapping {
  margin-top: 2rem;
  padding: 1em 8em;
}

.button-category-wrapping .button-category-category-bar {
  text-align: center;
}

.button-category-wrapping .button-category-category-bar button {
  font-weight: 700;
  padding: 0.7em 1.2em;
  border-radius: 1.1em;
  border: 0;
  margin-right: 1rem;
  margin-bottom: 1rem;
  transition: 0.3s;
  box-shadow: 0.1rem 0.1rem 1rem rgba(28, 28, 28, 0.1);
}

.button-category-wrapping .button-category-category-bar .buttonCateLoading {
  width: 4rem;
  background-color: rgb(239, 239, 239);
  background-image: linear-gradient(
    89deg,
    rgb(239, 239, 239),
    rgb(224, 224, 224)
  );
  animation: 3.3s ease-in-out 1ms infinite normal backwards running
    animation-loading;
}

.button-category-wrapping .button-category-category-bar button:hover {
  color: white;
  background-color: #fe024e;
}

.button-category-wrapping .button-category-category-bar button:active {
  color: white;
  background-color: #eb507f;
}

@media screen and (max-width: 935px) {
  .button-category-wrapping {
    text-align: center;
  }
}

/* LOADING */

@keyframes animation-loading {
  0% {
    background-position: -300px center;
  }
  100% {
    background-position: 300px center;
  }
}
